<template>
  <v-card
    :class="textColor"
    :height="height"
    :max-width="350"
    :color="backgroundColor"
    :style="styleBackgroundImage"
  >
    <v-card-title
      class="body-1 font-weight-bold align-start"
      :class="textColor"
    >
      {{ cardTitle }}
    </v-card-title>
    <v-card-text
      class="body-2"
      :class="textColor"
    >
      {{ cardText }}
    </v-card-text>
    <v-card-actions class="align-end">
      <v-row
        class="justify-center"
      >
        <v-btn
          rounded
          class="mb-4 caption"
          :class="cardTextColorButton+' '+cardColorButton"
          :href="hrefButton"
          width="90%"
        >
          {{ cardTextButton }}
        </v-btn>

        <v-tooltip
          v-if="mustBeLoggedButtonTwo && !userId"
          bottom
        >
          <template v-slot:activator="{ on }">
            <div
              style="width:100%;"
              v-on="on"
            >
              <v-btn
                v-if="cardTextButtonTwo!==''"
                :class="`${cardTextColorButtonTwo} ${cardColorButtonTwo}`"
                :disabled="mustBeLoggedButtonTwo && !userId ? true : false"
                :href="hrefButtonTwo"
                class="ma-0 caption"
                rounded
                text
                width="90%"
              >
                {{ cardTextButtonTwo }}
              </v-btn>
            </div>
          </template>
          <span>{{ mustBeLoggedButtonTextTwo }}</span>
        </v-tooltip>
        <v-btn
          v-else-if="cardTextButtonTwo!=='' && !cardOutlinedButtonTwo"
          :class="`${cardTextColorButtonTwo} ${cardColorButtonTwo}`"
          :href="hrefButtonTwo"
          class="ma-0 caption"
          rounded
          text
          width="90%"
        >
          {{ cardTextButtonTwo }}
        </v-btn>
        <v-btn
          v-else-if="cardTextButtonTwo!=='' && cardOutlinedButtonTwo"
          :href="hrefButtonTwo"
          class="white--text"
          outlined
          rounded
          small
        >
          {{ cardTextButtonTwo }}
        </v-btn>
      </v-row>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  props: {
    cardTitle: {
      type: String,
      default: ""
    },
    cardText: {
      type: String,
      default: ""
    },    
    backgroundColor: {
      type: String,
      default: "primary"
    },    
    backgroundImage: {
      type: String,
      default: ""
    },    
    textColor: {
      type: String,
      default: "secondary--text"
    },  
    mustBeLoggedButton:{
      type: Boolean,
      default: false
    },
    mustBeLoggedButtonText:{
      type: String,
      default: null
    },
    cardTextButton: {
      type: String,
      default: ""
    },    
    cardTextColorButton: {
      type: String,
      default: "secondary--text"
    }, 
    cardColorButton: {
      type: String,
      default: "secondary"
    },
    hrefButton: {
      type: String,
      default: "#"
    },
    mustBeLoggedButtonTwo:{
      type: Boolean,
      default: false
    },
    mustBeLoggedButtonTextTwo:{
      type: String,
      default: null
    },
    cardTextButtonTwo: {
      type: String,
      default: ""
    },    
    cardTextColorButtonTwo: {
      type: String,
      default: "secondary--text"
    }, 
    cardColorButtonTwo: {
      type: String,
      default: "secondary"
    }, 
    cardOutlinedButtonTwo: {
      type: Boolean,
      default: false
    },
    hrefButtonTwo: {
      type: String,
      default: "#"
    },
    height: {
      type: Number,
      default: 380
    },
    userId: {
      type: Number,
      default: null
    },
  },
  data() {
    return {
    }
  },
  computed:{
    styleBackgroundImage(){
      return "background-image:url('"+this.backgroundImage+"')";
    }
  },
};
</script>
<style lang="scss" scoped>
.v-card{
  background-position: top 1.2vh left 3.2vh;
  background-size: 60%;
  .v-card__title{
      height:200px;
  }
 
}
</style>